/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstockcontract.dao;

import com.jeeplus.modules.worksupplier.entity.WorkSupplier;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workstockcontract.entity.WorkStockContract;

/**
 * 采购合同DAO接口
 * @author lw
 * @version 2018-07-11
 */
@MyBatisDao
public interface WorkStockContractDao extends CrudDao<WorkStockContract> {

	public List<WorkSupplier> findListBysupplier(WorkSupplier supplier);
	/**
	 * 更新流程实例ID
	 * @return
	 */
	public int updateProcessInstanceId(WorkStockContract workStockContract);

	/**
	 * 根据流程实例ID获取
	 * @param processInstanceId
	 * @return
	 */
	public WorkStockContract getByProcessInstanceId(String processInstanceId);

	public int updateCompleteStatus(WorkStockContract workStockContract);
}