<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目概况管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>项目概况列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="projectgeneral" action="${ctx}/project/projectgeneral/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="project:projectgeneral:add">
				<table:addRow url="${ctx}/project/projectgeneral/form" title="项目概况"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="project:projectgeneral:edit">
			    <table:editRow url="${ctx}/project/projectgeneral/form" title="项目概况" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="project:projectgeneral:del">
				<table:delRow url="${ctx}/project/projectgeneral/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="project:projectgeneral:import">
				<table:importExcel url="${ctx}/project/projectgeneral/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="project:projectgeneral:export">
	       		<table:exportExcel url="${ctx}/project/projectgeneral/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column demandDepartment">需求部门</th>
				<th  class="sort-column projectType">工程类型(0机电、1房建、2市政、3交通、4政府采购、5其他)</th>
				<th  class="sort-column constructionSite">建设地点</th>
				<th  class="sort-column supervisionUnit">监督单位</th>
				<th  class="sort-column serviceClassification">服务分类</th>
				<th  class="sort-column fundAttribute">资金属性</th>
				<th  class="sort-column assetNature">资产性质</th>
				<th  class="sort-column tenderScope">招标范围</th>
				<th  class="sort-column bidPriceOrBidControlPriceMoney">标底或招标控制价(元)</th>
				<th  class="sort-column bidEvaluationOfficer">评标委员会负责人</th>
				<th  class="sort-column bidEvaluationStaff">与评标活动有关工作人员</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="projectgeneral">
			<tr>
				<td> <input type="checkbox" id="${projectgeneral.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看项目概况', '${ctx}/project/projectgeneral/form?id=${projectgeneral.id}','80%','80%')">
					${projectgeneral.remarks}
				</a></td>
				<td>
					${projectgeneral.demandDepartment}
				</td>
				<td>
					${fns:getDictLabel(projectgeneral.projectType, '', '')}
				</td>
				<td>
					${projectgeneral.constructionSite}
				</td>
				<td>
					${projectgeneral.supervisionUnit}
				</td>
				<td>
					${projectgeneral.serviceClassification}
				</td>
				<td>
					${projectgeneral.fundAttribute}
				</td>
				<td>
					${projectgeneral.assetNature}
				</td>
				<td>
					${projectgeneral.tenderScope}
				</td>
				<td>
					${projectgeneral.bidPriceOrBidControlPriceMoney}
				</td>
				<td>
					${projectgeneral.bidEvaluationOfficer}
				</td>
				<td>
					${projectgeneral.bidEvaluationStaff}
				</td>
				<td>
					<shiro:hasPermission name="project:projectgeneral:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看项目概况', '${ctx}/project/projectgeneral/form?id=${projectgeneral.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="project:projectgeneral:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改项目概况', '${ctx}/project/projectgeneral/form?id=${projectgeneral.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="project:projectgeneral:del">
						<a href="${ctx}/project/projectgeneral/delete?id=${projectgeneral.id}" onclick="return confirmx('确认要删除该项目概况吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>