<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>推送信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>推送信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="pushinfo" action="${ctx}/pushinfo/pushinfo/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="pushinfo:pushinfo:add">
				<table:addRow url="${ctx}/pushinfo/pushinfo/form" title="推送信息"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="pushinfo:pushinfo:edit">
			    <table:editRow url="${ctx}/pushinfo/pushinfo/form" title="推送信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="pushinfo:pushinfo:del">
				<table:delRow url="${ctx}/pushinfo/pushinfo/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="pushinfo:pushinfo:import">
				<table:importExcel url="${ctx}/pushinfo/pushinfo/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="pushinfo:pushinfo:export">
	       		<table:exportExcel url="${ctx}/pushinfo/pushinfo/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column title">标题</th>
				<th  class="sort-column content">内容</th>
				<th  class="sort-column type">类型</th>
				<th  class="sort-column pushId">推送id</th>
				<th  class="sort-column userId">推送用户id</th>
				<th  class="sort-column pushUserId">接收推送id</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="pushinfo">
			<tr>
				<td> <input type="checkbox" id="${pushinfo.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看推送信息', '${ctx}/pushinfo/pushinfo/form?id=${pushinfo.id}','80%','80%')">
					${pushinfo.remarks}
				</a></td>
				<td>
					${pushinfo.title}
				</td>
				<td>
					${pushinfo.content}
				</td>
				<td>
					${pushinfo.type}
				</td>
				<td>
					${pushinfo.pushId}
				</td>
				<td>
					${pushinfo.userId}
				</td>
				<td>
					${pushinfo.pushUserId}
				</td>
				<td>
					<shiro:hasPermission name="pushinfo:pushinfo:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看推送信息', '${ctx}/pushinfo/pushinfo/form?id=${pushinfo.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="pushinfo:pushinfo:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改推送信息', '${ctx}/pushinfo/pushinfo/form?id=${pushinfo.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="pushinfo:pushinfo:del">
						<a href="${ctx}/pushinfo/pushinfo/delete?id=${pushinfo.id}" onclick="return confirmx('确认要删除该推送信息吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>