<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
			
		

			    $('#contentTable thead tr th input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('check');
			    	});

			    $('#contentTable thead tr th input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('uncheck');
			    	});
			    
			
		});

		function getSelectedItem(){

			var size = $("#contentTable tbody tr td input.i-checks:checked").size();
			  if(size == 0 ){
					top.layer.alert('请至少选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }

			  if(size > 1 ){
					top.layer.alert('只能选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }
			    var id =  $("#contentTable tbody tr td input.i-checks:checkbox:checked").attr("id");

				var number = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel1").html();
				var name = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel2").html();
				var typeName = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel3").html();
				var masterName = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel4").html();
				var createDate = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel5").html();
				var masterId = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel6").html();
				var type = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel7").html();
            return {'id':id,'name':name,'number':number,'master':{'name':masterName,'id':masterId},'typeName':typeName,'type':type,'createDate':createDate};
		}
		function page(n,s){
			if(n) $("#pageNo").val(n);
			if(s) $("#pageSize").val(s);
			$("#searchForm").attr("action","${url}");
			$("#searchForm").submit();
	    	return false;
	    }
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="layui-row">
		<div class="full-width fl">
			<div class="layui-row" id="queryDiv">
			<form:form id="searchForm" modelAttribute="obj" action="${url}" method="post" class="form-inline">
				<input type="hidden" name="url" value="${url}"/>
				<input type="hidden" name="fieldLabels" value="${fieldLabels}"/>
				<input type="hidden" name="fieldKeys" value="${fieldKeys}"/>
				<input type="hidden" name="searchKey" value="${searchKey}"/>
				<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
				<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
				<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

				<div class="commonQuery lw12">
					<div class="layui-item query athird">
						<span class="layui-form-label">${searchLabel}：</span>
						<div class="layui-input-block">
							<form:input path="name" htmlEscape="false" maxlength="50" class=" form-control layui-input"/>
						</div>
					</div>
					<div class="layui-item athird fr">
						<div class="input-group">
							<button id="searchReset" class="fixed-btn searchReset fr" style="margin-right: 0px;" onclick="resetSearch()">重置</button>
							<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
						</div>
					</div>
					<div style="    clear:both;"></div>
				</div>
			</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="layui-item layui-col-xs12 form-table-container">
				<table id="contentTable" class="table details table-bordered table-condensed">
					<thead>
						<tr>
							<th width="40"><input type="checkbox" class="i-checks"></th>
							<th  >工作内容编号</th>
							<th >工作内容名称</th>
							<th >工作内容类型</th>
							<th>负责人</th>
							<th  >创建时间</th>
							<th style="display: none"></th>
							<th style="display: none"></th>
						</tr>
					</thead>
					<tbody>
					<c:choose>
					<c:when test="${not empty page.list}">
					<c:forEach items="${page.list}" var="obj2">
							<tr>
								<td style="text-align:center;"> <input type="checkbox" id="${fns:getValue(obj2, 'id')}" class="i-checks"></td>
								<td style="text-align:center;" class="codelabel1">${fns:getValue(obj2, 'number')}</td>
								<td style="text-align:center;" class="codelabel2">${fns:getValue(obj2, 'name')}</td>
								<td style="text-align:center;" class="codelabel3">${fns:getContentTypeName(obj2.type,"")}</td>
								<td style="text-align:center;" class="codelabel4">${obj2.master.name}</td>
								<td style="text-align:center;" class="codelabel5">
									<fmt:formatDate value="${obj2.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
								</td>
								<td style="text-align:center;display: none" class="codelabel6">${obj2.master.id}</td>
								<td style="text-align:center;display: none" class="codelabel7">${obj2.type}</td>
							</tr>
					</c:forEach>
					</c:when>
						<c:otherwise>
							<tr>
								<td colspan="6" align="center">
									暂无数据
								</td>
							</tr>
						</c:otherwise>
					</c:choose>

					</tbody>
				</table>
				<table:page page="${page}"></table:page>
			</div>
		</div>
		<div class="form-group layui-row page-end"></div>
	</div>
</div>
</body>
</html>