<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>评委管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});

            laydate.render({
                elem: '#birthday', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });
            laydate.render({
                elem: '#createDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });
		});
	</script>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="judge"  method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<sys:message content="${message}"/>	
		<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
			   <tr>
				   <td class="width-15 active" rowspan="11"><label class="pull-right">评委信息：</label></td>
			   </tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">姓名：</label></td>
					<td class="width-30">
						${judge.name}
					</td>
					<td class="width-15 active"><label class="pull-right">性别：</label></td>
					<td class="width-30">
						${fns:getDictLabel(judge.gender,'sex' ,'' )}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">编号：</label></td>
					<td class="width-30">
						${judge.number}
					</td>
					<td class="width-15 active"><label class="pull-right">出生年月：</label></td>
					<td class="width-30">
						<fmt:formatDate value="${judge.birthday}" pattern="yyyy-MM-dd"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">联系电话：</label></td>
					<td class="width-30">
						${judge.mobile}
					</td>
					<td class="width-15 active"><label class="pull-right">qq：</label></td>
					<td class="width-30">
						${judge.qq}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">身份证号：</label></td>
					<td class="width-30">
						${judge.idcard}
					</td>
					<td class="width-15 active"><label class="pull-right">email：</label></td>
					<td class="width-30">
						${judge.email}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">家庭住址：</label></td>
					<td class="width-30" colspan="3">
						${judge.address}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">工作单位：</label></td>
					<td class="width-30" colspan="3">
						${judge.companyName}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">注册资格：</label></td>
					<td class="width-30">
						${judge.registrationQualification}
					</td>
					<td class="width-15 active"><label class="pull-right">职称：</label></td>
					<td class="width-30">
						${fns:getDictLabel(judge.titleLevel, 'title_level','' )}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">咨询类型：</label></td>
					<td class="width-30">
						${fns:getDictLabel(judge.consultType,'consult_type' ,'' )}
					</td>
					<td class="width-15 active"><label class="pull-right">咨询专业：</label></td>
					<td class="width-30">
						${fns:getDictLabel(judge.consultProfession,'consult_profession' ,'' )}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">入库日期：</label></td>
					<td class="width-30">
						<fmt:formatDate value="${judge.createDate}" pattern="yyyy-MM-dd"/>
					</td>
					<td class="width-15 active"><label class="pull-right">是否退休：</label></td>
					<td class="width-30">
						${fns:getDictLabel(judge.isRetire,'is_retire' ,'' )}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">工作业绩：</label></td>
					<td class="width-30" colspan="3">
						${judge.performance}
					</td>
				</tr>
			   <tr>
				   <td class="width-15 active" rowspan="3"><label class="pull-right">执业资格：</label></td>
			   </tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">执业资格：</label></td>
					<td class="width-30" colspan="3">

						<form:checkboxes path="qualificationCredentials" items="${fns:getDictList('qualification_credentials')}" itemLabel="label" itemValue="value" htmlEscape="false" class="i-checks "/>
						<script type="text/javascript">
							$(function () {
                                var qs = [${judge.qualificationCredentials}];
                                $("input[name='qualificationCredentials']").each(function () {
                                    var q = parseInt($(this).val());
                                    if($.inArray(q,qs) != -1){
                                        $(this).parent("div").addClass("checked");
                                    }
                                    $(this).enable(false);
                                });
                            })
						</script>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">其他执业资格说明：</label></td>
					<td class="width-30" colspan="3">
						${judge.qualificationCredentialsMore}
					</td>
				</tr>
			   <tr>
				   <td class="width-15 active" rowspan="2"><label class="pull-right">附件管理：</label></td>
			   </tr>
			   <tr>
				   <td class="width-30" colspan="4">
					   <table  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
						   <thead>
						   <tr><%--<td>序号</td>--%><td>附件名称</td><td>上传日期</td><td>操作</td></tr>
						   </thead>
						   <tbody id="listFile" >
						   <c:forEach items="${judgeAttachmentList}" var="attachment" varStatus="varStatus">
							   <tr><%--
								   --%><td>${varStatus.index + 1 }</td>
								   <td>
									   <c:choose>
										   <c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
													  		 	or fn:containsIgnoreCase(attachment.attachmentName,'png')
													   			or fn:containsIgnoreCase(attachment.attachmentName,'gif')
													   			or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
											   <img src="${attachment.url}" onclick="openDialogView(' ','${ctx}/sys/picturepreview/picturePreview?url=${attachment.url}','860px','600px')" width="50" height="50" alt="${attachment.attachmentName}"/>
										   </c:when>
										   <c:otherwise>
											   <c:choose>
												   <c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
													   <a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%','1')">
														   <span title="${attachment.attachmentName}">${fns:abbr(attachment.attachmentName, 30)}</span></a>
												   </c:when>
												   <c:otherwise>
													   <a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%')">
														   <span title="${attachment.attachmentName}">${fns:abbr(attachment.attachmentName, 30)}</span>
													   </a>
												   </c:otherwise>
											   </c:choose>
										   </c:otherwise>
									   </c:choose>
								   </td>
								   <td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/> </td>
								   <td>
									   <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent('${attachment.url}');" class="btn btn-success btn-xs">下载</a>

									   <%--<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>--%>
								   </td>
							   </tr>
						   </c:forEach>
						   </tbody>
					   </table>
				   </td>
			   </tr>
			   <tr>
				   <td class="width-15 active" rowspan="2"><label class="pull-right">备注信息：</label></td>
			   </tr>
		   		<tr>
					<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
					<td class="width-30" colspan="3">
						${judge.remarks}
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>