<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>字典明细管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>字典明细列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="mainDictDetail" action="${ctx}/sys/mainDictDetail/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="sys:mainDictDetail:add">
				<table:addRow url="${ctx}/sys/mainDictDetail/form" title="字典明细"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column mainDict.typeName">字典类型</th>
				<th  class="sort-column detailName">名称</th>
				<th  class="sort-column detailAllName">全称</th>
				<th  class="sort-column parentId">父节点</th>
				<th  class="sort-column endFlag">末级标记</th>
				<th  class="sort-column remarks">描述</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="mainDictDetail">
			<tr>
				<td> <input type="checkbox" id="${mainDictDetail.id}" class="i-checks"></td>
				<td>
					${mainDictDetail.mainDict.typeName}
				</td>
				<td>
					<a  href="#" onclick="openDialogView('查看字典明细', '${ctx}/sys/mainDictDetail/form?id=${mainDictDetail.id}&view=','800px', '500px')">
					${mainDictDetail.detailName}
					</a>
				</td>
				<td>
					${mainDictDetail.parentNames}
				</td>
				<td>
					${mainDictDetail.parentName}
				</td>
				<td>
					${mainDictDetail.endFlag}
				</td>
				<td>
					${mainDictDetail.remarks}
				</td>
				<td>
					<shiro:hasPermission name="sys:mainDictDetail:edit">
    					<a href="#" onclick="openDialog('修改字典明细', '${ctx}/sys/mainDictDetail/form?id=${mainDictDetail.id}','800px', '500px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="sys:mainDictDetail:del">
						<a href="${ctx}/sys/mainDictDetail/delete?id=${mainDictDetail.id}" onclick="return confirmx('确认要删除该字典明细吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>