<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>行政盖章管理</title>
	<meta name="decorator" content="default"/>
    <script type="text/javascript">
        var validateForm;
        function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                if(obj == 1){
                    $('#flag').val('yes');
                }else{
                    $('#flag').val('no');
                }

                $("#inputForm").submit();
                return true;
            }

            return false;
        }
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            laydate.render({
                elem: '#incomeDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });
        });
    </script>
</head>
<body>
    <div class="single-form">
        <div class="container">
            <form:form id="inputForm" modelAttribute="workAdministrativeAtamp" action="${ctx}/workadministrativeatamp/workAdministrativeAtamp/saveAudit" method="post" class="form-horizontal">
                <form:hidden path="id"/>
                <form:hidden path="home"/>
                <form:hidden path="act.taskId"/>
                <form:hidden path="act.taskName"/>
                <form:hidden path="act.taskDefKey"/>
                <form:hidden path="act.procInsId"/>
                <form:hidden path="act.procDefId"/>
                <form:hidden id="flag" path="act.flag"/>
                <div class="form-group layui-row first">
                    <div class="form-group-label"><h2>基本信息</h2></div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>文档类型：</label>
                        <div class="layui-input-block">
                            <input type="text" readonly="readonly" class="form-control layui-input" value="${fns:getMainDictLabel(workAdministrativeAtamp.docType, 'sign_doc_type', '')}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>申请编号：</label>
                        <div class="layui-input-block">
                            <div class="input-group">
                                <form:input path="num" htmlEscape="false"  readonly="true"  class="form-control  layui-input"/>
                                <span class="input-group-btn">
                                <label class="form-status"><c:choose><c:when test="${not empty workAdministrativeAtamp.state}">${fns:getDictLabel(workAdministrativeAtamp.state, 'audit_state', '')}</c:when><c:otherwise>新添</c:otherwise></c:choose></label>
                             </span>
                            </div>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>签章公司：</label>
                        <div class="layui-input-block">
                            <input type="text" readonly="readonly" class="form-control layui-input" value="${workAdministrativeAtamp.comSign.name}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>印章类型：</label>
                        <div class="layui-input-block">
                            <input type="text" readonly="readonly" class="form-control layui-input" value="${fns:getMainDictLabel(workAdministrativeAtamp.sealType, 'seal_type', '')}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>申请人：</label>
                        <div class="layui-input-block">
                            <form:input path="submiter.name" htmlEscape="false" readonly="true" class="form-control layui-input required"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">所属部门：</label>
                        <div class="layui-input-block">
                            <input type="text" name="office.name" readonly="readonly" class="form-control layui-input"  value="${workAdministrativeAtamp.office.topCompany}"/>
                            <input type="hidden" name="office.id" readonly="readonly" class="form-control layui-input"  value="${workAdministrativeAtamp.office.id}"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>申请日期：</label>
                        <div class="layui-input-block">
                            <input type="text" readonly="readonly" class="form-control layui-input"
                                   value="<fmt:formatDate value="${workAdministrativeAtamp.submitDate}" pattern="yyyy-MM-dd"/>"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm12 with-textarea">
                        <label class="layui-form-label">说    明：</label>
                        <div class="layui-input-block">
                            <form:textarea path="remarks" readonly="true" htmlEscape="false" rows="3" class="form-control"/>
                        </div>
                    </div>
                </div>
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>项目计划附件信息</h2></div>
                    <div class="layui-item layui-col-xs12 form-table-container" >
                        <table id="listAttachment" class="table table-bordered table-condensed no-bottom-margin details">
                            <thead>
                            <tr>
                                    <%-- <th>序号</th>--%>
                                <th>文件预览</th>
                                <th>上传人</th>
                                <th>上传时间</th>
                                <th width="150px">操作</th>
                            </tr>
                            </thead>
                            <tbody id="file_attachment">
                            <c:forEach items="${workAdministrativeAtamp.workAttachments}" var = "workClientAttachment" varStatus="status">
                                <tr>
                                        <%-- <td>${status.index + 1}</td>--%>
                                    <c:choose>
                                        <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                            <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
                                        </c:when>
                                        <c:otherwise>
                                            <c:choose>
                                                <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                    <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
                                                </c:when>
                                                <c:otherwise>
                                                    <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
                                                </c:otherwise>
                                            </c:choose>
                                        </c:otherwise>
                                    </c:choose>
                                    <td>${workClientAttachment.createBy.name}</td>
                                    <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                    <td class="op-td">
                                        <div class="op-btn-box" >
                                            <c:set var="signflag" value="${fns:getSysParam('sign_flag',fns:getUser())}"/>
                                            <c:choose>
                                                <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'doc')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'docx')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'xls')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'xlsx')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'ppt')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'pptx')}">
                                                    <c:if test="${workAdministrativeAtamp.act.taskDefKey eq 'gzr'}">
                                                        <a href="${ctx}/isignature/iSignatureDocument/sign?recordId=${workClientAttachment.id}" class="op-btn op-btn-sign" target="_blank">签章</a>
                                                    </c:if>
                                                    <a href="javascript:void(0);" onclick="openDialogView('查看电子签章信息', '${ctx}/isignature/iSignatureDocument/form?recordId=${workClientAttachment.id}','95%', '95%')" class="op-btn op-btn-view" ><i class="fa fa-search-plus"></i> 查看</a>
                                                    <c:choose>
                                                        <c:when test="${signflag == '是'}">
                                                            <a href="javascript:location.href='${ctx}/isignature/iSignatureDocument/download?recordId=${workClientAttachment.id}'" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                                        </c:when>
                                                        <c:otherwise>
                                                            <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                                        </c:otherwise>
                                                    </c:choose>
                                                </c:when>
                                                <c:otherwise>
                                                    <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                                </c:otherwise>
                                            </c:choose>
                                        </div>
                                    </td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>审批意见</h2></div>
                    <div class="layui-item layui-col-xs12 with-textarea" >
                        <label class="layui-form-label">审批意见：</label>
                        <div class="layui-input-block">
                            <form:textarea path="act.comment" class="form-control" rows="4" maxlength="127" />
                            <input type="file" name="upload_files" style="display: none;">
                        </div>
                    </div>
                </div>
                <div class="form-group layui-row">
                    <div class="form-group-label"><h2>审批流程</h2></div>
                    <div class="layui-item layui-col-xs12 form-table-container" >
                        <act:flowChart procInsId="${workAdministrativeAtamp.act.procInsId}"/>
                        <act:histoicFlow procInsId="${workAdministrativeAtamp.act.procInsId}"/>
                    </div>
                </div>

                <div class="form-group layui-row page-end"></div>
	        </form:form>
        </div>
    </div>
</body>
</html>