<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>评标后工作管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>评标后工作管理列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workAftermath" action="${ctx}/workaftermath/workAftermath/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workaftermath:workAftermath:add">
				<table:addRow url="${ctx}/workaftermath/workAftermath/form" title="评标后工作管理"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workaftermath:workAftermath:edit">
			    <table:editRow url="${ctx}/workaftermath/workAftermath/form" title="评标后工作管理" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workaftermath:workAftermath:del">
				<table:delRow url="${ctx}/workaftermath/workAftermath/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workaftermath:workAftermath:import">
				<table:importExcel url="${ctx}/workaftermath/workAftermath/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workaftermath:workAftermath:export">
	       		<table:exportExcel url="${ctx}/workaftermath/workAftermath/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column workBidingProject.id">招标项目</th>
				<th  class="sort-column companyId">company_id</th>
				<th  class="sort-column officeId">office_id</th>
				<th  class="sort-column bidAmount">中标金额</th>
				<th  class="sort-column dateStart">工期（起）</th>
				<th  class="sort-column dateEnd">工期（止）</th>
				<th  class="sort-column projectMaster">项目经理</th>
				<th  class="sort-column agencyType">代理费缴纳方类型</th>
				<th  class="sort-column payName">缴纳方全称</th>
				<th  class="sort-column invoiceNumber">发票号</th>
				<th  class="sort-column invoiceDate">开票时间</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workAftermath">
			<tr>
				<td> <input type="checkbox" id="${workAftermath.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看评标后工作管理', '${ctx}/workaftermath/workAftermath/form?id=${workAftermath.id}','80%','80%')">
					${workAftermath.remarks}
				</a></td>
				<td>
					${workAftermath.workBidingProject.name}
				</td>
				<td>
					${workAftermath.companyId}
				</td>
				<td>
					${workAftermath.officeId}
				</td>
				<td>
					${workAftermath.bidAmount}
				</td>
				<td>
					<fmt:formatDate value="${workAftermath.dateStart}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
				<td>
					<fmt:formatDate value="${workAftermath.dateEnd}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
				<td>
					${workAftermath.projectMaster}
				</td>
				<td>
					${fns:getDictLabel(workAftermath.agencyType, '', '')}
				</td>
				<td>
					${workAftermath.payName}
				</td>
				<td>
					${workAftermath.invoiceNumber}
				</td>
				<td>
					<fmt:formatDate value="${workAftermath.invoiceDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
				<td>
					<shiro:hasPermission name="workaftermath:workAftermath:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看评标后工作管理', '${ctx}/workaftermath/workAftermath/form?id=${workAftermath.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workaftermath:workAftermath:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改评标后工作管理', '${ctx}/workaftermath/workAftermath/form?id=${workAftermath.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workaftermath:workAftermath:del">
						<a href="${ctx}/workaftermath/workAftermath/delete?id=${workAftermath.id}" onclick="return confirmx('确认要删除该评标后工作管理吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>