<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>职级调整明细管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>职级调整明细列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workChangeJobUser" action="${ctx}/workchangejob/workChangeJobUser/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>调整表主键：</span>
				<form:input path="changeId" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workchangejob:workChangeJobUser:add">
				<table:addRow url="${ctx}/workchangejob/workChangeJobUser/form" title="职级调整明细"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workchangejob:workChangeJobUser:edit">
			    <table:editRow url="${ctx}/workchangejob/workChangeJobUser/form" title="职级调整明细" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workchangejob:workChangeJobUser:del">
				<table:delRow url="${ctx}/workchangejob/workChangeJobUser/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workchangejob:workChangeJobUser:import">
				<table:importExcel url="${ctx}/workchangejob/workChangeJobUser/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workchangejob:workChangeJobUser:export">
	       		<table:exportExcel url="${ctx}/workchangejob/workChangeJobUser/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column officeId">所属部门</th>
				<th  class="sort-column companyId">所属公司</th>
				<th  class="sort-column changeId">调整表主键</th>
				<th  class="sort-column userId">用户表主键</th>
				<th  class="sort-column basicInfoId">入职表主键</th>
				<th  class="sort-column after">调整后</th>
				<th  class="sort-column before">调整前</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workChangeJobUser">
			<tr>
				<td> <input type="checkbox" id="${workChangeJobUser.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看职级调整明细', '${ctx}/workchangejob/workChangeJobUser/form?id=${workChangeJobUser.id}','800px', '500px')">
					${workChangeJobUser.remarks}
				</a></td>
				<td>
					${workChangeJobUser.officeId}
				</td>
				<td>
					${workChangeJobUser.companyId}
				</td>
				<td>
					${workChangeJobUser.changeId}
				</td>
				<td>
					${workChangeJobUser.userId}
				</td>
				<td>
					${workChangeJobUser.basicInfoId}
				</td>
				<td>
					${workChangeJobUser.after}
				</td>
				<td>
					${workChangeJobUser.before}
				</td>
				<td>
					<shiro:hasPermission name="workchangejob:workChangeJobUser:view">
						<a href="#" onclick="openDialogView('查看职级调整明细', '${ctx}/workchangejob/workChangeJobUser/form?id=${workChangeJobUser.id}','800px', '500px')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workchangejob:workChangeJobUser:edit">
    					<a href="#" onclick="openDialog('修改职级调整明细', '${ctx}/workchangejob/workChangeJobUser/form?id=${workChangeJobUser.id}','800px', '500px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workchangejob:workChangeJobUser:del">
						<a href="${ctx}/workchangejob/workChangeJobUser/delete?id=${workChangeJobUser.id}" onclick="return confirmx('确认要删除该职级调整明细吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>