<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>常用组管理</title>
	<meta name="decorator" content="default"/>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function() {
            $("#cus_name").show();
            $("#cus_name").siblings().hide();
            //搜索框收放
        })
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="contentShadow layui-row" id="queryDiv">
                <form:form id="searchForm" modelAttribute="workCommonGroup" action="${ctx}/workcommongroup/workCommonGroup/" method="post" class="form-inline">
                    <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                    <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                    <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                    <div class="commonQuery">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">常用组名称：</label>
                            <div class="layui-input-block">
                                <form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">常用组编号：</label>
                            <div class="layui-input-block">
                                <form:input path="num" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item athird">
                            <div class="input-group">
                                <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                                <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                            </div>
                        </div>
                        <div style="    clear:both;"></div>
                    </div>
                </form:form>
	        </div>
	    </div>

        <div class="full-width fl">
            <div class="contentShadow layui-form contentDetails">
                <div class="nav-btns">
                    <shiro:hasPermission name="workcommongroup:workCommonGroup:add">
                        <table:addRow url="${ctx}/workcommongroup/workCommonGroup/form" title="常用组"></table:addRow><!-- 增加按钮 -->
                    </shiro:hasPermission>
                    <button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
                    <div style="clear: both;"></div>
                </div>
                <table class="oa-table layui-table" id="contentTable"></table>

                <!-- 分页代码 -->
                <table:page page="${page}"></table:page>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'name',align:'center', title: '常用组名称',sort:true,minWidth:200,templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看常用组', '${ctx}/workcommongroup/workCommonGroup/view?id="+d.id+"','95%','95%')\">" +
                            "<span title=" + d.name + ">" + d.name + "</span></a>";
                        return xml;
                    }}
                ,{field:'num',align:'center', title: '常用组编号',minWidth:150}
                ,{field:'op',align:'center',title:"操作",width:150,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";

                        if(d.canedit != undefined && d.canedit == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialog('修改常用组', '${ctx}/workcommongroup/workCommonGroup/form?id=" + d.id+"','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i>修改</a>"
                        }
                        if(d.candelete != undefined && d.candelete == "1"){
                            xml +="<a href=\"${ctx}/workcommongroup/workCommonGroup/delete?id=" + d.id+"\" onclick=\"return confirmx('确认要删除该常用组吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        }
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workCommonGroup" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workCommonGroup.id}"
                    ,"num":"${workCommonGroup.num}"
                    ,"name":"<c:out value="${workCommonGroup.name}" escapeXml="true"/>"
                    <c:if test="${flag == '1' or fns:getUser().id == workCommonGroup.createBy.id}">
                    <shiro:hasPermission name="workcommongroup:workCommonGroup:edit">,"canedit":"1"</shiro:hasPermission>
                    <shiro:hasPermission name="workcommongroup:workCommonGroup:del">,"candelete":"1"</shiro:hasPermission>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable(150);/*消除由于有竖向滚动条造成table出现横向滚动条*/
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>