<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程咨询项目三级校审项目信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>工程咨询项目三级校审项目信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workEngineeringPrice" action="${ctx}/workengineeringprice/workEngineeringPrice/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>工程咨询项目id：</span>
				<form:input path="engineeringId" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:add">
				<table:addRow url="${ctx}/workengineeringprice/workEngineeringPrice/form" title="工程咨询项目三级校审项目信息"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:edit">
			    <table:editRow url="${ctx}/workengineeringprice/workEngineeringPrice/form" title="工程咨询项目三级校审项目信息" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:del">
				<table:delRow url="${ctx}/workengineeringprice/workEngineeringPrice/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:import">
				<table:importExcel url="${ctx}/workengineeringprice/workEngineeringPrice/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:export">
	       		<table:exportExcel url="${ctx}/workengineeringprice/workEngineeringPrice/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column sendPrice">送审价</th>
				<th  class="sort-column approvedPrice">审定价</th>
				<th  class="sort-column contractPrice">合同价</th>
				<th  class="sort-column addEditAmount">核增核减额</th>
				<th  class="sort-column addEditRate">核增核减率</th>
				<th  class="sort-column consultAmount ">咨询标的额</th>
				<th  class="sort-column civilEngineeringCost">其中土建造价</th>
				<th  class="sort-column installationCost">其中安装造价</th>
				<th  class="sort-column engineeringId">工程咨询项目id</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workEngineeringPrice">
			<tr>
				<td> <input type="checkbox" id="${workEngineeringPrice.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看工程咨询项目三级校审项目信息', '${ctx}/workengineeringprice/workEngineeringPrice/form?id=${workEngineeringPrice.id}','80%','80%')">
					${workEngineeringPrice.remarks}
				</a></td>
				<td>
					${workEngineeringPrice.sendPrice}
				</td>
				<td>
					${workEngineeringPrice.approvedPrice}
				</td>
				<td>
					${workEngineeringPrice.contractPrice}
				</td>
				<td>
					${workEngineeringPrice.addEditAmount}
				</td>
				<td>
					${workEngineeringPrice.addEditRate}
				</td>
				<td>
					${workEngineeringPrice.consultAmount }
				</td>
				<td>
					${workEngineeringPrice.civilEngineeringCost}
				</td>
				<td>
					${workEngineeringPrice.installationCost}
				</td>
				<td>
					${workEngineeringPrice.engineeringId}
				</td>
				<td>
					<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看工程咨询项目三级校审项目信息', '${ctx}/workengineeringprice/workEngineeringPrice/form?id=${workEngineeringPrice.id}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改工程咨询项目三级校审项目信息', '${ctx}/workengineeringprice/workEngineeringPrice/form?id=${workEngineeringPrice.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workengineeringprice:workEngineeringPrice:del">
						<a href="${ctx}/workengineeringprice/workEngineeringPrice/delete?id=${workEngineeringPrice.id}" onclick="return confirmx('确认要删除该工程咨询项目三级校审项目信息吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>