<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>全过程监控--项目实施查看</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
			laydate.render({
	            elem: '#startTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
	            event: 'focus', //响应事件。如果没有传入event，则按照默认的click
				type : 'datetime'
	        });
			laydate.render({
	            elem: '#endTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
	            event: 'focus', //响应事件。如果没有传入event，则按照默认的click
				type : 'datetime'
	        });
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>
			此项目所有实施文件
		</h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">

	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workFullExecute"  method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>文件名：</span>
				<form:input path="fileName" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>文件类型：</span>
				<form:select path="fileType"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getDictList('work_full_execute_fileType')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
			<p></p>
			<span>编制开始日期：</span>
				<input id="startTime" name="startTime" type="text" maxlength="20" class="laydate-icondate form-control layer-date input-sm"
					value="<fmt:formatDate value="${workFullExecute.startTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
			<span>编制完成日期：</span>
				<input id="endTime" name="endTime" type="text" maxlength="20" class="laydate-icondate form-control layer-date input-sm"
					value="<fmt:formatDate value="${workFullExecute.endTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th  class="sort-column index">序号</th>
				<th  class="sort-column fileName">文件名称</th>
				<th  class="sort-column fileType">文件类型</th>
				<th  class="sort-column create">编制人</th>
				<th  class="sort-column createDate">上传时间</th>
				<th  class="sort-column status">当前状态</th>
				<th  class="sort-column processInstanceId">流程追踪</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workFullExecute" varStatus="index">
			<tr>
				<td>
					${index.index+1}
				</td>
				<td>
					<c:if test="${not empty workFullExecute.executeFile}">
						<a href="${workFullExecute.executeFile.url}"><span title="${workFullExecute.fileName}">${fns:abbr(workFullExecute.fileName, 30)}</span></a>
					</c:if>
					<c:if test="${empty workFullExecute.executeFile}">
						<span title="${workFullExecute.fileName}">${fns:abbr(workFullExecute.fileName, 30)}</span>
					</c:if>
				</td>
				<td>
					${fns:getDictLabel(workFullExecute.fileType, 'work_full_execute_fileType', '')}
				</td>
				<td>
					${workFullExecute.executeFile.attachmentUser}
				</td>
				<td>
					<fmt:formatDate value="${workFullExecute.executeFile.createDate}" pattern="yyyy-MM-dd"/>
				</td>
				<td>
					${fns:getDictLabel(workFullExecute.status,'work_full_execute_status' ,'' )}
				</td>
				<td>
					<c:if test="${! empty workFullExecute.processInstanceId}">
						<shiro:hasPermission name="workfullexecute:workFullExecute:view">
							<a href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workfullexecute/workFullExecute/getProcess?id=${workFullExecute.id}','80%','80%')" class="btn btn-info btn-xs" >流程追踪</a>
						</shiro:hasPermission>
					</c:if>
					<c:if test="${empty workFullExecute.processInstanceId}">
						<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('无流程信息',{icon:2})" class="btn btn-default btn-xs">流程追踪</a>
					</c:if>
				</td>
				<td>
					<shiro:hasPermission name="workfullexecute:workFullExecute:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看项目实施记录', '${ctx}/workfullexecute/workFullExecute/form?id=${workFullExecute.id}&dialog=view','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>