<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>收文管理管理</title>
	<meta name="decorator" content="default"/>
</head>
<body>
<div class="single-form">
    <div class="container view-form">
		<form:form id="inputForm" modelAttribute="workIncomingMessage" action="${ctx}/workincomingmessage/workIncomingMessage/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
            <div class="form-group layui-row first">
                <div class="form-group-label"><h2>基础信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文标题：</label>
                    <div class="layui-input-block">
                        <form:input path="title" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>收文编号：</label>
                    <div class="layui-input-block">
                        <div class="input-group">
                            <form:input path="num" htmlEscape="false"  readonly="true"  class="form-control  layui-input"/>
                            <span class="input-group-btn">
                                <label class="form-status"><c:choose><c:when test="${not empty workIncomingMessage.state}">${fns:getDictLabel(workIncomingMessage.state, 'audit_state', '')}</c:when><c:otherwise>新添</c:otherwise></c:choose></label>
                             </span>
                        </div>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文字号：</label>
                    <div class="layui-input-block">
                        <form:input path="wordSize" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文日期：</label>
                    <div class="layui-input-block">
                        <input type="text" readonly="readonly" class="form-control layui-input"
                               value="<fmt:formatDate value="${workIncomingMessage.incomeDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文单位：</label>
                    <div class="layui-input-block">
                        <form:input path="incomePart" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>份    数：</label>
                    <div class="layui-input-block">
                        <form:input path="counts" htmlEscape="false" readonly="true" class="form-control digits layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>申请人：</label>
                    <div class="layui-input-block">
                        <form:input path="createBy.name" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                        <form:hidden path="createBy.id" htmlEscape="false"    class="form-control required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">所属部门：</label>
                    <div class="layui-input-block">
                        <input type="text" name="office.name" readonly="readonly" class="form-control layui-input"  value="${workIncomingMessage.office.topCompany}"/>
                        <input type="hidden" name="office.id" readonly="readonly" class="form-control layui-input"  value="${workIncomingMessage.office.id}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">拟办意见：</label>
                    <div class="layui-input-block">
                        <form:textarea path="remarks" htmlEscape="false" readonly="true" rows="3" class="form-control"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">领导批示：</label>
                    <div class="layui-input-block">
                        <form:textarea path="opinion" htmlEscape="false" readonly="true" rows="3" class="form-control"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12">
                    <label class="layui-form-label">处理人：</label>
                    <div class="layui-input-block with-icon">
                        <input type="text" value="${workIncomingMessage.leaderNameStr}" readonly="readonly"  class="form-control layui-input">
                    </div>
                </div>
            </div>

            <div class="form-group layui-row lw12">
                <div class="form-group-label"><h2>处理明细</h2></div>
                <table id="termsTable" class="table table-bordered table-condensed details">
                    <thead>
                    <tr>
                        <th>姓名</th>
                        <th>部门</th>
                        <th>完成状态</th>
                        <th>完成日期</th>
                        <th>完成情况说明</th>
                    </tr>
                    </thead>
                    <tbody id="termTableList">
                    <c:forEach items="${workIncomingMessage.detailList}" var="routineDetail" varStatus="idx">
                        <tr>
                            <td style="text-align:center;">
                                    ${routineDetail.operator.name}
                            </td>
                            <td style="text-align:center;">
                                    ${routineDetail.office.name}
                            </td>
                            <td style="text-align:center;">
                                    ${routineDetail.status}
                            </td>
                            <td style="text-align:center;">
                                <fmt:formatDate value="${routineDetail.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
                            </td>
                            <td style="text-align:center;" title="${routineDetail.remarks}">
                                    ${routineDetail.remarks}
                            </td>
                        </tr>
                    </c:forEach>
                    </tbody>
                </table>
            </div>

            <div class="form-group layui-row">
            <div class="form-group-label"><h2>附件信息</h2></div>
            <div class="layui-item layui-col-xs12 form-table-container" >
                <table id="listAttachment" class="table table-bordered table-condensed no-bottom-margin details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件预览</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment">
                        <c:forEach items="${workIncomingMessage.workAttachments}" var = "workClientAttachment" varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <div class="op-btn-box" >
                                        <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                    </div>
                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
	</form:form>
    </div>
</div>
</body>
</html>