<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>报销已办</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
                <ul class="nav nav-tabs">
					<li><a href="${ctx}/workreimbursement/workReimbursement/list">报销信息</a></li>
					<li><a href="${ctx}/workreimbursement/workReimbursement/queryToList">待办任务</a></li>
					<li class="active"><a href="${ctx}/workreimbursement/workReimbursement/queryCompleteList">已办任务</a></li>
                    <%--<shiro:hasPermission name="workreimbursement:workreimbursement:edit"><li><a href="${ctx}/workreimbursement/workReimbursement/form?tabId=0">报销申请</a></li></shiro:hasPermission>--%>
                </ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>
			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="act" action="${ctx}/workreimbursement/workReimbursement/queryCompleteList" method="get" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>创建时间：</label>
							<input class="form-control layer-date laydate-icon" id="beginDate" name="beginDate" value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
							　--　
							<input class="form-control layer-date laydate-icon" id="endDate" name="endDate" value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
						</div>
					</form:form>
					<br/>
				</div>
			</div>
			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>
			<!-- 表格 -->
            <table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
                <thead>
                <tr>
                    <th style="text-align: center;">流程发起人</th>
                    <th style="text-align: center;">当前环节</th>
                    <th style="text-align: center;">流程名称</th>
                    <th style="text-align: center;">流程版本</th>
                    <th style="text-align: center;">报销编号</th>
                    <th style="text-align: center;">业务类型</th>
                    <th style="text-align: center;">报销公司及部门</th>
                    <th style="text-align: center;">报销人</th>
                    <th style="text-align: center;">报销项目</th>
                    <th style="text-align: center;">报销金额</th>
                    <th style="text-align: center;">报销状态</th>
                    <th style="text-align: center;">创建时间</th>
                </tr>
                </thead>
                <tbody>
				<c:choose>
					<c:when test="${not empty list}">
						<c:forEach items="${list}" var="workreimbursement">
							<c:set var="task" value="${workreimbursement.task}" />
							<c:set var="vars" value="${workreimbursement.act.vars}" />
							<c:set var="procDef" value="${workreimbursement.act.procDef}" /><%--
						<c:set var="procExecUrl" value="${act.procExecUrl}" /> --%>
							<c:set var="status" value="${workreimbursement.act.status}" />
							<tr>
								<td>${workreimbursement.createBy.name}</td>
								<td>
										${workreimbursement.act.histTask.name}
								</td>
									<%--<td>${task.description}</td>--%>
								<td>${procDef.name}</td>
								<td><b title='流程版本号'>V: ${procDef.revision}</b></td>
								<td><span title="${workreimbursement.number}">${fns:abbr(workreimbursement.number,30)}</span></td>
								<td>
									<c:choose>
										<c:when test="${workreimbursement.ext != 1}">
											${workreimbursement.businessType}
										</c:when>
									</c:choose>
								</td>
								<td>${workreimbursement.officeName}</td>
								<td>${workreimbursement.submitterName}</td>
								<td>
									<c:choose>
										<c:when test="${workreimbursement.ext == 1}">
											<span title="${workreimbursement.projectName}">${fns:abbr(workreimbursement.projectName,30)}</span>
										</c:when>
										<c:otherwise>
											<span title="${workreimbursement.project.projectName}">${fns:abbr(workreimbursement.project.projectName,30)}</span>
										</c:otherwise>
									</c:choose>
								</td>
								<td>${workreimbursement.money}</td>
								<td>${fns:getDictLabel(workreimbursement.status, 'reimbursement_status', '')}</td>
								<td><fmt:formatDate value="${workreimbursement.createDate}" pattern="yyyy-MM-dd HH:mm:ss"></fmt:formatDate></td>
							</tr>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<tr>
							<td colspan="13" align="center">
								暂无数据
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
                </tbody>
            </table>
			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>