<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工资项管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        var validateForm;
        function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                $("#inputForm").submit();
                return true;
            }else {
                parent.layer.msg("信息未填写完整!", {icon: 5});
            }
            return false;
        }
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
        });
	</script>
</head>
<body>
<div class="single-form">
	<div class="container view-form">
		<form:form id="inputForm" modelAttribute="workSalaryItem" action="${ctx}/worksalaryitem/workSalaryItem/save" method="post" class="form-horizontal">
			<form:hidden path="id"/>

			<div class="form-group layui-row first lw8">
				<div class="form-group-label"><h2>基础信息</h2></div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>工资项名称：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${workSalaryItem.name}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>工资项编号：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${workSalaryItem.num}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>工资项类型：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${fns:getDictLabel(workSalaryItem.type, 'salaryItem_type', '')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>设置方式：</label>
					<div class="layui-input-block">
						<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${fns:getDictLabel(workSalaryItem.setMethod, 'salaryItem_setMethod', '')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label">禁用状态：</label>
					<div class="layui-input-block">
						<input class="form-control layui-input" readonly="true" value="${fns:getDictLabel(workSalaryItem.state, 'salaryItem_state', '')}">
					</div>
				</div>
				<div class="layui-item layui-col-sm12  with-textarea">
					<label class="layui-form-label">计算公式：</label>
					<div class="layui-input-block">
						<textarea  htmlEscape="false" rows="4" readonly="true"    class="form-control ">${workContractRecord.formula}</textarea>
					</div>
				</div>
				<div class="layui-item layui-col-sm12  with-textarea">
					<label class="layui-form-label">说明：</label>
					<div class="layui-input-block">
						<textarea  htmlEscape="false" rows="4" readonly="true"    class="form-control ">${workContractRecord.explanation}</textarea>
					</div>
				</div>
			</div>

			<div class="form-group layui-row page-end"></div>
		</form:form>
	</div>
</div>
</body>
</html>